<?php
// auth/login.php
session_start();
require '../config.php';
require '../config/jwt.php';

$username = $_POST['username'] ?? '';
$password = $_POST['password'] ?? '';

$stmt = $conn->prepare("SELECT * FROM users WHERE username = ?");
$stmt->bind_param("s", $username);
$stmt->execute();
$result = $stmt->get_result();

if ($user = $result->fetch_assoc()) {
    if (password_verify($password, $user['password'])) {
        $token = generateJWT($username);
        setcookie("token", $token, time() + 3600, "/", "", false, true);

        // IP Log kaydı
        $ip = $_SERVER['REMOTE_ADDR'];
        $log = $conn->prepare("INSERT INTO ip_logs (username, ip_address) VALUES (?, ?)");
        $log->bind_param("ss", $username, $ip);
        $log->execute();

        header("Location: ../home.php");
        exit();
    }
}
header("Location: ../index.php?error=1");
exit();
?>