<?php
// config/jwt.php
require_once __DIR__ . '/../vendor/autoload.php';

use Firebase\JWT\JWT;
use Firebase\JWT\Key;

$key = 'supersecretkey'; // Burayı .env dosyasından okuyacak şekilde düzenle

function generateJWT($username) {
    global $key;
    $payload = [
        'iss' => 'iptv-system',
        'aud' => 'iptv-user',
        'iat' => time(),
        'exp' => time() + 3600, // 1 saat geçerli
        'username' => $username
    ];
    return JWT::encode($payload, $key, 'HS256');
}

function validateJWT($jwt) {
    global $key;
    try {
        $decoded = JWT::decode($jwt, new Key($key, 'HS256'));
        return (array)$decoded;
    } catch (Exception $e) {
        return false;
    }
}
?>
