<?php
// cron/notify_expired.php
require_once '../config.php';
require_once '../config/env.php';

date_default_timezone_set('Europe/Istanbul');

$today = date('Y-m-d');
$stmt = $conn->prepare("SELECT username FROM users WHERE valid_until = ?");
$stmt->bind_param("s", $today);
$stmt->execute();
$result = $stmt->get_result();

$expired_users = [];
while ($row = $result->fetch_assoc()) {
    $expired_users[] = $row['username'];
}

// Mail gönderimi
if (!empty($expired_users)) {
    $to = getenv('SMTP_USER');
    $subject = 'Süresi Dolan Kullanıcılar';
    $message = "Bugün süresi dolan kullanıcılar:\n" . implode("\n", $expired_users);
    $headers = 'From: sistem@iptv.local';

    mail($to, $subject, $message, $headers);
}
?>