<?php
// install.php
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $host = $_POST['host'];
    $user = $_POST['user'];
    $pass = $_POST['pass'];
    $name = $_POST['name'];

    $conn = new mysqli($host, $user, $pass);
    if ($conn->connect_error) die("Bağlantı hatası: " . $conn->connect_error);
    $conn->query("CREATE DATABASE IF NOT EXISTS `$name`");
    $conn->select_db($name);
    $conn->query("CREATE TABLE IF NOT EXISTS users (
        id INT AUTO_INCREMENT PRIMARY KEY,
        username VARCHAR(255) NOT NULL UNIQUE,
        password VARCHAR(255) NOT NULL,
        valid_until DATE
    )");
    $conn->query("CREATE TABLE IF NOT EXISTS favorites (
        id INT AUTO_INCREMENT PRIMARY KEY,
        username VARCHAR(255) NOT NULL,
        channel_name VARCHAR(255),
        channel_url TEXT,
        created_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP
    )");
    $conn->query("CREATE TABLE IF NOT EXISTS history (
        id INT AUTO_INCREMENT PRIMARY KEY,
        username VARCHAR(255) NOT NULL,
        channel_name VARCHAR(255),
        watched_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP
    )");
    $conn->query("CREATE TABLE IF NOT EXISTS ip_logs (
        id INT AUTO_INCREMENT PRIMARY KEY,
        username VARCHAR(255) NOT NULL,
        ip_address VARCHAR(45),
        login_time TIMESTAMP DEFAULT CURRENT_TIMESTAMP
    )");
    file_put_contents('config.php', "<?php\n\$conn = new mysqli('$host', '$user', '$pass', '$name'); ?>");
    echo '<div class="success">Kurulum tamamlandı.</div>';
    exit();
}
?>
<!DOCTYPE html>
<html lang="tr">
<head>
    <meta charset="UTF-8">
    <title>IPTV Kurulum Sihirbazı</title>
    <link rel="stylesheet" href="assets/style.css">
    <style>
        body { background: #1e1f26; color: white; font-family: sans-serif; display: flex; justify-content: center; align-items: center; height: 100vh; }
        .install-box {
            background: #111216;
            padding: 2rem;
            border-radius: 1rem;
            box-shadow: 0 0 15px rgba(0,0,0,0.6);
            max-width: 400px;
            width: 100%;
        }
        .install-box h2 {
            text-align: center;
            margin-bottom: 1.5rem;
        }
        .install-box input {
            width: 100%;
            padding: 0.75rem;
            margin: 0.5rem 0;
            border: none;
            border-radius: 0.5rem;
            background: #2d2f38;
            color: white;
        }
        .install-box button {
            width: 100%;
            padding: 0.75rem;
            background: #2ba26d;
            border: none;
            color: white;
            border-radius: 0.5rem;
            margin-top: 1rem;
            cursor: pointer;
        }
        .install-box button:hover {
            background: #239157;
        }
        .success {
            background: #2ba26d;
            color: white;
            padding: 1rem;
            text-align: center;
            border-radius: 0.5rem;
            margin-top: 1rem;
        }
    </style>
</head>
<body>
    <form class="install-box" method="POST">
        <h2>Kurulum Sihirbazı</h2>
        <input name="host" placeholder="Veritabanı Sunucusu" required>
        <input name="user" placeholder="Veritabanı Kullanıcısı" required>
        <input name="pass" placeholder="Veritabanı Şifresi">
        <input name="name" placeholder="Veritabanı Adı" required>
        <button type="submit">Kurulumu Başlat</button>
    </form>
</body>
</html>